[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# ldexp

Return (2 to the power p) times x

## Declaration

Source position: math.pp line 339

`function ldexp(`
`x: float;`
`const p: Integer`
`):float;`

## Description

Ldexp returns (2 to the power p) times x.

## Errors

None.

## See also

lnxp1 |  | Return natural logarithm of 1+X
log10 |  | Return 10-Based logarithm.
log2 |  | Return 2-based logarithm
logn |  | Return N-based logarithm.

## Example

    Program Example19;

    { Program to demonstrate the ldexp function. }

    Uses math;

    begin
      writeln(ldexp(2,4):8:4);
      writeln(ldexp(0.5,3):8:4);
    end.

Documentation generated on: Feb 26 2014